#!/usr/bin/env python3

import nbformat
import unittest

from tmc import points
from tmc.utils import get_stdout

inputnb = "src/hello_world.ipynb"

nb = nbformat.read(inputnb, as_version=4)

@points('1.hello_world')
class HelloWorldTest(unittest.TestCase):

    def test_hello_world(self):
        for cell in nb.cells:
            try:
                name = cell.metadata.name
                if name == "part01-01_hello_world":
                    exec(cell.source)
                    self.assertEqual(get_stdout(), "Hello world!", "Your program didn't print the correct message.")
                    with open(inputnb, "w") as f:
                        nbformat.write(nb, f)
            except AttributeError:
                pass

if __name__ == '__main__':
    unittest.main()
